PUT/webhooks

Update a webhook destination

Enable/disable a destination or change its url, name, or subscribed events.

Required Attributes

urlstring

New URL

namestring

New name

enabledboolean

Enable or disable delivery

Example: false

endpoint_idstringrequired

The endpoint id

Example: "whe_20a18ce0"

event_typesarray

New subscription; null for all events

Request
PUT/webhooks
curl --location 'https://api.ledgr.dev/v1/webhooks' \
--header 'Authorization: {api_key}' \
--header 'Content-Type: application/json' \
--data '{
  "url": "example_url",
  "name": "example_name",
  "enabled": false,
  "endpoint_id": "whe_20a18ce0",
  "event_types": []
}'
Response

The updated destination

{
  "status": "success",
  "endpoint": {
    "enabled": false,
    "endpoint_id": "whe_20a18ce0"
  }
}